com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFA8Uart

- All Superinterfaces:
    IMultipleAntenna, IRFIDWithUHFA8, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart

      public interface IRFIDWithUHFA8Uart
      extends IRFIDWithUHFA8, IUHF, IURAxOfAndroidUart, IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDWithUHFA8

      `inputStatus, output3Off, output3On, output4Off, output4On`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaWorkTime, setANT, setAntennaPower, setAntennaWorkTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IURAxOfAndroidUart

      `buzzer, led, successNotify`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, init_R2000, isPowerOn, setEPCAndUserReservedModeEx, setPowerOnBySystem, setUart, startInventoryTag`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`